Imports syncfusion.Windows.Forms.Grid

Public Class Form1

    Dim colWidth As Integer
    Public Sub LoadGrid()
        Grid.RowCount = 1
        Grid.ColCount = 2

        Dim gsi1 As New GridStyleInfo
        gsi1.CellValue = "Short"
        Grid.Data.Item(1, 1) = gsi1.Store

        Dim gsi2 As New GridStyleInfo
        gsi2.CellValue = "FullCellTextDoesntGetPrinted"
        Grid.Data.Item(1, 2) = gsi2.Store

        Grid.Model.Refresh()
        Dim range As GridRangeInfo = GridRangeInfo.Cells(1, 1, Grid.RowCount, Grid.ColCount)
        Grid.Model.ColWidths.ResizeToFit(range, GridResizeToFitOptions.None)
        Grid.Model.EndUpdate(True)

        Grid.Model.Options.ActivateCurrentCellBehavior = Windows.Forms.Grid.GridCellActivateAction.DblClickOnCell
    End Sub

    Public Sub New()
        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        LoadGrid()
    End Sub

    Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        Try
            colWidth = Grid.ColWidths.Item(1)
            Dim pd As GridPrintDocument

            pd = New GridPrintDocument(Grid, True)

            Dim dlg As PrintPreviewDialog
            dlg = New PrintPreviewDialog()
            dlg.Document = pd

            dlg.ShowDialog()
        Catch ex As Exception
            MessageBox.Show(("An error occurred attempting to preview the grid - " + ex.Message))
        End Try

    End Sub

    

    Private Sub Grid_DrawCellDisplayText(ByVal sender As System.Object, ByVal e As syncfusion.Windows.Forms.Grid.GridDrawCellDisplayTextEventArgs) Handles Grid.DrawCellDisplayText
        If e.ColIndex > 0 And Me.Grid.PrintingMode Then
            e.Cancel = True
            Dim rect As Rectangle = e.TextRectangle()
            rect.Width = rect.Width + 5
            GridStaticCellRenderer.DrawText(e.Graphics, e.DisplayText, e.Style.GdipFont, rect, e.Style, e.Style.TextColor, e.Style.RightToLeft = System.Windows.Forms.RightToLeft.Yes)
        End If
    End Sub
End Class
